summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2008-11-25 23:04:32 +0000
committerUlrich Müller <ulm@gentoo.org>2008-11-25 23:04:32 +0000
commit7569c8b7f097ea21445241cdbdc4c8557f067a91 (patch)
tree6361b6a3074b70e7666fd73d92f21c391821b58d /app-doc/elisp-manual/elisp-manual-18.1.03.ebuild
parentInitial import. (diff)
downloademacs-7569c8b7f097ea21445241cdbdc4c8557f067a91.tar.gz
emacs-7569c8b7f097ea21445241cdbdc4c8557f067a91.tar.bz2
emacs-7569c8b7f097ea21445241cdbdc4c8557f067a91.zip
Copied from Portage tree. Include version number in install location.
Add retro elisp manual for version 18. svn path=/emacs-overlay/; revision=1219
Diffstat (limited to 'app-doc/elisp-manual/elisp-manual-18.1.03.ebuild')
-rw-r--r--app-doc/elisp-manual/elisp-manual-18.1.03.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/app-doc/elisp-manual/elisp-manual-18.1.03.ebuild b/app-doc/elisp-manual/elisp-manual-18.1.03.ebuild
new file mode 100644
index 0000000..2d4e02c
--- /dev/null
+++ b/app-doc/elisp-manual/elisp-manual-18.1.03.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils versionator
+
+MY_PV=$(replace_version_separator 1 '-' )
+MY_P=${PN}-${MY_PV}
+DESCRIPTION="The GNU Emacs Lisp Reference Manual"
+HOMEPAGE="http://www.gnu.org/software/emacs/manual/"
+SRC_URI="ftp://ftp.gnu.org/old-gnu/emacs/${MY_P}.tar.gz"
+
+LICENSE="as-is"
+SLOT="18"
+KEYWORDS="~x86"
+IUSE=""
+
+S="${WORKDIR}/elisp"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}/${P}-fix-texinfo.patch"
+ epatch "${FILESDIR}/${P}-direntry.patch"
+}
+
+src_compile() {
+ ln -s index.unperm index.texi
+ makeinfo elisp.texi || die "makeinfo failed"
+}
+
+src_install() {
+ doinfo elisp18.info* || die "doinfo failed"
+}